freebsd-ports/net/papaya/files/patch-mkinstalldirs
Pete Fritchman 9b2f027b72 Add papaya 0.90, graphical GTK mud client with plugin support.
PR:		32956
Submitted by:	Edwin Groothuis <edwin@mavetju.org>
2001-12-19 09:46:11 +00:00

43 lines
865 B
Text

--- /dev/null Fri Aug 24 22:05:18 2001
+++ mkinstalldirs Fri Aug 24 22:06:29 2001
@@ -0,0 +1,40 @@
+#! /bin/sh
+# mkinstalldirs --- make directory hierarchy
+# Author: Noah Friedman <friedman@prep.ai.mit.edu>
+# Created: 1993-05-16
+# Public domain
+
+# $Id: mkinstalldirs,v 1.1 1998/07/17 14:18:48 jbj Exp $
+
+errstatus=0
+
+for file
+do
+ set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
+ shift
+
+ pathcomp=
+ for d
+ do
+ pathcomp="$pathcomp$d"
+ case "$pathcomp" in
+ -* ) pathcomp=./$pathcomp ;;
+ esac
+
+ if test ! -d "$pathcomp"; then
+ echo "mkdir $pathcomp" 1>&2
+
+ mkdir "$pathcomp" || lasterr=$?
+
+ if test ! -d "$pathcomp"; then
+ errstatus=$lasterr
+ fi
+ fi
+
+ pathcomp="$pathcomp/"
+ done
+done
+
+exit $errstatus
+
+# mkinstalldirs ends here